{assign var=pClass value="data-control-id-2636 bd-productsgridpagination-2"}
{if isset($no_follow) AND $no_follow}
    {assign var='no_follow_text' value='rel="nofollow"'}
{else}
    {assign var='no_follow_text' value=''}
{/if}

{if isset($p) AND $p}
    {if isset($smarty.get.id_category) && $smarty.get.id_category && isset($category)}
        {if !isset($current_url)}
        {assign var='requestPage' value=$link->getPaginationLink('category', $category, false, false, true, false)}
        {else}
            {assign var='requestPage' value=$current_url}
        {/if}
        {assign var='requestNb' value=$link->getPaginationLink('category', $category, true, false, false, true)}
    {elseif isset($smarty.get.id_manufacturer) && $smarty.get.id_manufacturer && isset($manufacturer)}
        {assign var='requestPage' value=$link->getPaginationLink('manufacturer', $manufacturer, false, false, true, false)}
        {assign var='requestNb' value=$link->getPaginationLink('manufacturer', $manufacturer, true, false, false, true)}
    {elseif isset($smarty.get.id_supplier) && $smarty.get.id_supplier && isset($supplier)}
        {assign var='requestPage' value=$link->getPaginationLink('supplier', $supplier, false, false, true, false)}
        {assign var='requestNb' value=$link->getPaginationLink('supplier', $supplier, true, false, false, true)}
    {else}
        {if !isset($current_url) OR version_compare($smarty.const._PS_VERSION_,'1.6','<')}
            {assign var='requestPage' value=$link->getPaginationLink(false, false, false, false, true, false)}
        {else}
            {assign var='requestPage' value=$current_url}
        {/if}
        {assign var='requestNb' value=$link->getPaginationLink(false, false, true, false, false, true)}
    {/if}

    {* Parameters duplication removed to fix crash 11370 *}
    {assign var=themeParam value="{if isset($smarty.get.theme_name)}theme_name={$smarty.get.theme_name}{/if}"}
    {assign var=requestPage value=$requestPage|replace:"?{$themeParam}?{$themeParam}":"?{$themeParam}"}

    {if (($start!=$stop) OR ($nb_products > $products_per_page))}
    <!-- Pagination -->
    <div id="pagination{if isset($paginationId) && $paginationId}_{$paginationId}{/if}" class="pagination {$pClass}">
        {if $start!=$stop}
            <ul class="data-control-id-2635 bd-pagination-3 pagination">
            {if $p != 1}
                {assign var='p_previous' value=$p-1}
                <li class="data-control-id-2634 bd-paginationitem-3" id="pagination_previous{if isset($paginationId)}_{$paginationId}{/if}"><a id="prev-button" {$no_follow_text} href="{$link->goPage($requestPage, $p_previous)}"><i class="icon-chevron-left"></i> {l s='Previous'}</a></li>
            {else}
                <li class="data-control-id-2634 bd-paginationitem-3 disabled" id="pagination_previous{if isset($paginationId)}_{$paginationId}{/if}"><a id="prev-button" {$no_follow_text} href="javascript:void(0)"></i> {l s='Previous'}</a></li>
            {/if}
            {if $start==3}
                <li class="data-control-id-2634 bd-paginationitem-3"><a {$no_follow_text} href="{$link->goPage($requestPage, 1)}">1</a></li>
                <li class="data-control-id-2634 bd-paginationitem-3"><a {$no_follow_text} href="{$link->goPage($requestPage, 2)}">2</a></li>
            {/if}
            {if $start==2}
                <li class="data-control-id-2634 bd-paginationitem-3"><a {$no_follow_text} href="{$link->goPage($requestPage, 1)}">1</a></li>
            {/if}
            {if $start>3}
                <li class="data-control-id-2634 bd-paginationitem-3"><a {$no_follow_text} href="{$link->goPage($requestPage, 1)}">1</a></li>
                <li class="data-control-id-2634 bd-paginationitem-3 truncate"><a href="javascript:void(0)">...</a></li>
            {/if}
            {section name=pagination start=$start loop=$stop+1 step=1}
                {if $p == $smarty.section.pagination.index}
                    <li class="data-control-id-2634 bd-paginationitem-3 current active"><span>{$p|escape:'htmlall':'UTF-8'}</span></li>
                {else}
                    <li class="data-control-id-2634 bd-paginationitem-3"><a {$no_follow_text} href="{$link->goPage($requestPage, $smarty.section.pagination.index)}">{$smarty.section.pagination.index|escape:'htmlall':'UTF-8'}</a></li>
                {/if}
            {/section}
            {if $pages_nb>$stop+2}
                <li class="data-control-id-2634 bd-paginationitem-3 truncate"><a href="javascript:void(0)">...</a></li>
                <li class="data-control-id-2634 bd-paginationitem-3"><a href="{$link->goPage($requestPage, $pages_nb)}">{$pages_nb|intval}</a></li>
            {/if}
            {if $pages_nb==$stop+1}
                <li class="data-control-id-2634 bd-paginationitem-3"><a href="{$link->goPage($requestPage, $pages_nb)}">{$pages_nb|intval}</a></li>
            {/if}
            {if $pages_nb==$stop+2}
                <li class="data-control-id-2634 bd-paginationitem-3"><a href="{$link->goPage($requestPage, $pages_nb-1)}">{$pages_nb-1|intval}</a></li>
                <li class="data-control-id-2634 bd-paginationitem-3"><a href="{$link->goPage($requestPage, $pages_nb)}">{$pages_nb|intval}</a></li>
            {/if}
            {if $pages_nb > 1 AND $p != $pages_nb}
                {assign var='p_next' value=$p+1}
                <li class="data-control-id-2634 bd-paginationitem-3" id="pagination_next"><a id="next-button" {$no_follow_text} href="{$link->goPage($requestPage, $p_next)}">{l s='Next'}&nbsp;&raquo;</a></li>
            {else}
                <li id="pagination_next" class="data-control-id-2634 bd-paginationitem-3 disabled"><a id="next-button" {$no_follow_text} href="javascript:void(0)">{l s='Next'}&nbsp;&raquo;</a></li>
            {/if}
        {/if}
        {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
            {if $nb_products > $products_per_page}
                <form action="{if !is_array($requestNb)}{$requestNb}{else}{$requestNb.requestUrl}{/if}" method="get" style="display: none;" class="pagination hidden">
                    {if isset($search_query) AND $search_query}<input type="hidden" name="search_query" value="{$search_query|escape:'htmlall':'UTF-8'}" />{/if}
                    {if isset($tag) AND $tag AND !is_array($tag)}<input type="hidden" name="tag" value="{$tag|escape:'htmlall':'UTF-8'}" />{/if}
                    <input type="submit" value="{l s='OK'}" />
                    <label for="nb_item">{l s='items:'}</label>
                    <select name="n" id="nb_item">
                    {assign var="lastnValue" value="0"}
                    {foreach from=$nArray item=nValue}
                        {if $lastnValue <= $nb_products}
                            <option value="{$nValue|escape:'htmlall':'UTF-8'}" {if $n == $nValue}selected="selected"{/if}>{$nValue|escape:'htmlall':'UTF-8'}</option>
                        {/if}
                        {assign var="lastnValue" value=$nValue}
                    {/foreach}
                    </select>
                    {if is_array($requestNb)}
                        {foreach from=$requestNb item=requestValue key=requestKey}
                            {if $requestKey != 'requestUrl'}
                                <input type="hidden" name="{$requestKey|escape:'htmlall':'UTF-8'}" value="{$requestValue|escape:'htmlall':'UTF-8'}" />
                            {/if}
                        {/foreach}
                    {/if}
                </form>
            {/if}
        {else}
            {if $nb_products > $products_per_page && $start!=$stop}
                <form class="showall hidden" action="{if !is_array($requestNb)}{$requestNb}{else}{$requestNb.requestUrl}{/if}" method="get">
                    <div>
                        {if isset($search_query) AND $search_query}
                            <input type="hidden" name="search_query" value="{$search_query|escape:'html':'UTF-8'}" />
                        {/if}
                        {if isset($tag) AND $tag AND !is_array($tag)}
                            <input type="hidden" name="tag" value="{$tag|escape:'html':'UTF-8'}" />
                        {/if}
                        <button type="submit" class="btn btn-default button exclusive-medium">
                            <span>{l s='Show all'}</span>
                        </button>
                        {if is_array($requestNb)}
                            {foreach from=$requestNb item=requestValue key=requestKey}
                                {if $requestKey != 'requestUrl' && $requestKey != 'p'}
                                    <input type="hidden" name="{$requestKey|escape:'html':'UTF-8'}" value="{$requestValue|escape:'html':'UTF-8'}" />
                                {/if}
                            {/foreach}
                        {/if}
                        <input name="n" id="nb_item" class="hidden" value="{$nb_products}" />
                    </div>
                </form>
            {/if}
        {/if}
    </div>
    <!-- /Pagination -->
    {/if}
{/if}