<!-- Module HomeSlider -->
{if isset($homeslider_slides)}
    <div id="homepage-slider">
        {if isset($homeslider_slides.0) && isset($homeslider_slides.0.sizes.1)}{capture name='height'}{$homeslider_slides.0.sizes.1}{/capture}{/if}
        <div class="data-control-id-3371 bd-homeslider-1 carousel slide">
            
            <div class="bd-slides carousel-inner">
                {foreach from=$homeslider_slides item=slide}
                    {if $slide.active}
                        <div class="item">
                            <div class="bd-container-inner">
                                {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
                                    <a href="{$slide.url|escape:'html':'UTF-8'}" title="{$slide.legend|escape:'html':'UTF-8'}">
                                        <img src="{$link->getMediaLink("`$smarty.const._MODULE_DIR_`homeslider/images/`$slide.image|escape:'htmlall':'UTF-8'`")}"{if isset($slide.size) && $slide.size} {$slide.size}{else} width="100%" height="100%"{/if} alt="{$slide.legend|escape:'htmlall':'UTF-8'}" />
                                    </a>
                                {else}
                                    <a href="{$slide.url|escape:'htmlall':'UTF-8'}" title="{$slide.description|escape:'htmlall':'UTF-8'}">
                                        <img src="{$smarty.const._MODULE_DIR_}/homeslider/images/{$slide.image|escape:'htmlall':'UTF-8'}" alt="{$slide.legend|escape:'htmlall':'UTF-8'}" legend="{$slide.description|escape:'htmlall':'UTF-8'}" height="{$homeslider.height|intval}" width="{$homeslider.width|intval}" />
                                    </a>
                                {/if}
                                {if isset($slide.description) && trim($slide.description) != ''}
                                    <div class="homeslider-description">{$slide.description}</div>
                                {/if}
                            </div>
                        </div>
                    {/if}
                {/foreach}
            </div>
            <div class="left-button">
    <a class="data-control-id-3370 bd-carousel-1" href="#">
        <span class="data-control-id-3369 bd-icon-4"></span>
    </a>
</div>

<div class="right-button">
    <a class="data-control-id-3370 bd-carousel-1" href="#">
        <span class="data-control-id-3369 bd-icon-4"></span>
    </a>
</div>
        </div>
    </div>
{/if}
<!-- /Module HomeSlider -->